置頂文章

[開獎] 108年5-6月統一發票對獎號碼(2019年5-6月)

2019年5-6月統一發票中獎號碼單 108年5 6月統一發票超級特獎(1千萬): 46356460 108年5.6月統一發票特獎(200萬): 56337787 108年5-6月統一發票頭獎至六獎: 93339 845 83390 355 80431 06...

星期一, 10月 16, 2006

Ushare安裝

Ushare web:http://ushare.geexbox.org/
OS:Mandriva 2005
Ushare version:0.97
Libupnp version:1.3.0
Pkgconfig version:0.18

Install Step:
一、download libupnp、pkgconfig、ushare and use tarball mode to install
二、if you don’t install libupnp, it will show the message…
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for libupnp... Package libupnp was not found in the pkg-config search path.
Perhaps you should add the directory containing `libupnp.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libupnp' found
configure: error: Package requirements (libupnp >= 1.3.1) were not met.
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively you may set the libupnp_CFLAGS and libupnp_LIBS environment variables
to avoid the need to call pkg-config. See the pkg-config man page for
more details.
三、If you don’t install pkgconfig, it will show not find ‘libupnp.pc’
四、change dir to  /usr/lib/pkgconfig/,and link  /usr/local/lib/pkgconfig/libupnp.pc to /usr/lib/pkgconfig/
Do:ln -s /usr/local/lib/pkgconfig/libupnp.pc libupnp.pc
When ushare configure will pass
五、If show error message:ushare: error while loading shared libraries: libupnp.so.2: cannot open shared object file: No such file or directory
That is  libupnp's library connect error,link /usr/local/lib(3 files) to /lib

PS:change dir to /lib,do following three command
1. ln -s /usr/local/lib/libixml.so.2.0.0 libixml.so.2
2. ln -s /usr/local/lib/libthreadutil.so.2.0.0 libthreadutil.so.2
3. ln -s /usr/local/lib/libupnp.so.2.0.1 libupnp.so.2
六、copy  /usr/etc/ushare.conf  to  /etc
七、then startup ushare ... that's ok

1 則留言:

ushare user 提到...

您好, 我也遇到了第五項問題
不過我的情況是三個link檔都在

解決方法為
1. 切換到linupnp-1.4.1下
2. ./configure
3. make
4. make install-strip
(我原先打make install, 是錯誤的, 應該要換成install-strip)

供您參考